import {requestPOST,requestGET} from "@/utils/request.js";


console.log(process.env,'-----------------config------')
 // wx
 export default {
    //POST /shareSceneRecord/getShareSceneRecord/{sceneCode} 获取分享场景参数记录
    getShareSceneRecord(options) {
        return requestPOST(`${process.env.OLSHOP_URL}/shareSceneRecord/getShareSceneRecord/${options}`, {});
    },
    //POST /shareSceneRecord/getShareSceneRecord/{sceneCode} 获取分享场景参数记录
    addRecord(data) {
        return requestPOST(`${process.env.OLSHOP_URL}/scanCodeCustomerRecord/addRecord`, data);
    },
    //POST /article/forward 转发分享
    forward(data) {
        return requestPOST(`${process.env.OLSHOP_URL}/article/forward`, data)
    },
    queryLocation(longitude,latitude){
        return requestGET(`${process.env.OLSHOP_URL}/operatingArea/query_Location_operating_area_area_list?location=${longitude},${latitude}`)
    },
    get_product_category(data) {
        return requestPOST(`${process.env.OLSHOP_URL}/product/get_product_category`, data);
    },
    getLiveCon(data){
        return requestPOST(`${process.env.OLSHOP_URL}/liveBroadcastInfo/getPageListByIds`, data);
    },
    queryBuyingShowList(data){
        return requestPOST(`${process.env.OLSHOP_URL}/activityInfo/buyingShow/queryBuyingShowList`, data);
    }
 }
 